



infosame = {};

function infosame.prerequisitesPresent(specializations)
    return true;
end;

function infosame:load(xmlFile)

	self.controlpath = Utils.getFilename("Textur/info.png", self.baseDirectory);
    self.helpPoxX = 0.60;
    self.helpPoxY = 0.40;
    self.helpWidth = 0.40;
    self.helpHeight = 0.50;
    self.helpOverlay = Overlay:new("info", self.controlpath, self.helpPoxX, self.helpPoxY, self.helpWidth, self.helpHeight);
    self.bcActive = true;

end;

function infosame:keyEvent(unicode, sym, modifier, isDown)

	if isDown and sym == Input.KEY_f4 then
		self.bcActive = not self.bcActive;
	end;
		

end;

function infosame:update(dt)

end;

function infosame:draw()

	 if self.helpOverlay ~= nil then
		if self.bcActive then
		self.helpOverlay:render();
		end;
	end;
		if self.bcActive then	
			--g_currentMission:addExtraPrintText("Key F4: Info Off");
		else
			---g_currentMission:addExtraPrintText("Key F4: Info On");
		end;

end;

function infosame:onEnter()
end;

function infosame:onLeave()
end;

function infosame:delete()
end;

function infosame:mouseEvent(posX, posY, isDown, isUp, button)
end;

function infosame:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;





